#
# spec file for package os-autoinst-distri-opensuse-deps
#
# Copyright 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           os-autoinst-distri-opensuse-deps
Version:        1.1740494178.9877247a
Release:        1.2
Summary:        Metapackage that contains the dependencies of os-autoinst-distri-opensuse
License:        MIT
Group:          Development/Tools/Other
BuildArch:      noarch
Url:            https://github.com/os-autoinst/os-autoinst-distri-opensuse
# BEGIN AUTOGENERATED DEPENDENCY LIST
Requires:       perl(Carp)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Code::DRY)
Requires:       perl(Config::Tiny)
Requires:       perl(constant)
Requires:       perl(Cwd)
Requires:       perl(Data::Dump)
Requires:       perl(Data::Dumper)
Requires:       perl(DateTime)
Requires:       perl(Digest::file)
Requires:       perl(Exporter)
Requires:       perl(File::Basename)
Requires:       perl(File::Copy)
Requires:       perl(File::Find)
Requires:       perl(File::Path)
Requires:       perl(File::Temp)
Requires:       perl(IO::File)
Requires:       perl(IO::Socket::INET)
Requires:       perl(List::MoreUtils)
Requires:       perl(List::Util)
Requires:       perl(LWP::Simple)
Requires:       perl(Mojo::Base)
Requires:       perl(Mojo::File)
Requires:       perl(Mojo::JSON)
Requires:       perl(Mojo::UserAgent)
Requires:       perl(Mojo::Util)
Requires:       perl(Net::IP)
Requires:       perl(NetAddr::IP)
Requires:       perl(parent)
Requires:       perl(Perl::Critic::Community)
Requires:       perl(POSIX)
Requires:       perl(Regexp::Common)
Requires:       perl(Selenium::Chrome)
Requires:       perl(Selenium::Remote::Driver)
Requires:       perl(Selenium::Remote::WDKeys)
Requires:       perl(Selenium::Waiter)
Requires:       perl(SemVer)
Requires:       perl(Storable)
Requires:       perl(strict)
Requires:       perl(Term::ANSIColor)
Requires:       perl(Test::Assert)
Requires:       perl(Tie::IxHash)
Requires:       perl(Time::HiRes)
Requires:       perl(utf8)
Requires:       perl(version)
Requires:       perl(warnings)
Requires:       perl(XML::LibXML)
Requires:       perl(XML::Simple)
Requires:       perl(XML::Writer)
Requires:       perl(YAML::PP)
# END AUTOGENERATED DEPENDENCY LIST
Recommends:     os-autoinst-devel
# This package is required for Agama profile generation with JSONNET tool, ticket link: https://progress.opensuse.org/issues/175728
Requires:       golang-github-google-jsonnet

%description
Metapackage that contains the dependencies of os-autoinst-distri-opensuse.

%package worker
Summary:        Convenience package pulling in os-autoinst-distri-openSUSE dependencies and the openQA worker
Group:          Development/Tools/Other
Requires:       %{name} = %{version}
Requires:       openQA-worker

%description worker
Convenience package pulling in os-autoinst-distri-openSUSE dependencies and the openQA worker.

%prep

%build

%install

%check

%files

%files worker

%changelog
* Fri Feb 28 2025 Dominik Heidler <dheidler@suse.de>
- Added dependency golang-github-google-jsonnet
* Tue Feb  4 2025 Dominik Heidler <dheidler@suse.de>
- Removed dependency perl(Perl::Critic::Freenode)
- Added dependency perl(Perl::Critic::Community)
* Sat Jan 21 2023 Dominik Heidler <dheidler@suse.de>
- Added dependency %%{name} = %%{version}
- Added dependency openQA-worker
* Mon Jan  9 2023 Dominik Heidler <dheidler@suse.de>
- Added dependency perl(SemVer)
* Fri Sep 23 2022 Dominik Heidler <dheidler@suse.de>
- Added dependency perl(Class::Accessor::Fast)
- Added dependency perl(constant)
- Removed dependency perl(LWP::Simple)
- Added dependency perl(LWP::Simple)
- Removed dependency perl(POSIX)
- Added dependency perl(parent)
- Added dependency perl(POSIX)
- Added dependency perl(strict)
- Added dependency perl(utf8)
- Added dependency perl(version)
- Added dependency perl(warnings)
- Removed dependency perl(constant)
- Removed dependency perl(parent)
- Removed dependency perl(strict)
- Removed dependency perl(utf8)
- Removed dependency perl(version)
- Removed dependency perl(warnings)
* Thu May 20 2021 Dominik Heidler <dheidler@suse.de>
- Added dependency perl(Net::IP)
- Added dependency perl(NetAddr::IP)
* Wed Jan 20 2021 Dominik Heidler <dheidler@suse.de>
- Added dependency perl(DateTime)
* Thu Dec 17 2020 Dominik Heidler <dheidler@suse.de>
- Removed dependency perl(constant)
- Added dependency perl(LWP::Simple)
- Removed dependency perl(LWP::Simple)
- Removed dependency perl(parent)
- Removed dependency perl(Perl::Critic::Freenode)
- Added dependency perl(Perl::Critic::Freenode)
- Removed dependency perl(strict)
- Removed dependency perl(utf8)
- Removed dependency perl(version)
- Removed dependency perl(warnings)
- Added dependency perl(constant)
- Added dependency perl(parent)
- Added dependency perl(strict)
- Added dependency perl(utf8)
- Added dependency perl(version)
- Added dependency perl(warnings)
* Mon Dec  7 2020 Dominik Heidler <dheidler@suse.de>
- Removed dependency perl(Archive::Tar)
* Sat Nov 21 2020 Dominik Heidler <dheidler@suse.de>
- Added dependency perl(Code::DRY)
* Tue May  5 2020 Dominik Heidler <dheidler@suse.de>
- Removed dependency perl(YAML::Tiny)
* Thu Apr 30 2020 Dominik Heidler <dheidler@suse.de>
- Added dependency perl(YAML::Tiny)
* Tue Apr 28 2020 Dominik Heidler <dheidler@suse.de>
- Removed dependency perl(YAML::Tiny)
- Added dependency perl(YAML::PP)
* Sat Apr 25 2020 Dominik Heidler <dheidler@suse.de>
- Added dependency perl(Archive::Tar)
- Added dependency perl(Carp)
- Added dependency perl(constant)
- Added dependency perl(Cwd)
- Added dependency perl(Data::Dump)
- Added dependency perl(Exporter)
- Added dependency perl(File::Find)
- Added dependency perl(File::Temp)
- Added dependency perl(List::MoreUtils)
- Added dependency perl(Mojo::Base)
- Added dependency perl(Mojo::File)
- Added dependency perl(Mojo::JSON)
- Added dependency perl(Mojo::UserAgent)
- Added dependency perl(Mojo::Util)
- Added dependency perl(parent)
- Added dependency perl(POSIX)
- Added dependency perl(Regexp::Common)
- Added dependency perl(Storable)
- Added dependency perl(strict)
- Added dependency perl(Term::ANSIColor)
- Added dependency perl(Time::HiRes)
- Added dependency perl(utf8)
- Added dependency perl(version)
- Added dependency perl(warnings)
* Fri Feb 21 2020 Dominik Heidler <dheidler@suse.de>
- Added dependency perl(Tie::IxHash)
* Mon Oct 14 2019 Dominik Heidler <dheidler@suse.de>
- Added dependency perl(Config::Tiny)
* Tue May 21 2019 Dominik Heidler <dheidler@suse.de>
- Ensure reproducible dependency sorting required for automatic SRs.
* Mon May 20 2019 Dominik Heidler <dheidler@suse.de>
- Added dependency perl(Perl::Critic::Freenode)
* Tue Mar 19 2019 Dominik Heidler <dheidler@suse.de>
- Created Package
